> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sqd.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Finalized Dataset Head

> Returns the highest available finalized block number and hash.



## OpenAPI

````yaml /en/api/catalog/bitcoin/openapi.yaml get /finalized-head
openapi: 3.1.0
info:
  title: SQD Portal API - Bitcoin Dataset Endpoints
  description: >-
    API endpoints for interacting with Bitcoin datasets under the SQD Portal,
    specifically for the bitcoin-mainnet dataset.
  version: 1.0.0
servers:
  - url: https://portal.sqd.dev/datasets/bitcoin-mainnet
    description: SQD Portal's endpoint for Bitcoin Mainnet
security: []
paths:
  /finalized-head:
    get:
      summary: Finalized Dataset Head
      description: Returns the highest available finalized block number and hash.
      responses:
        '200':
          description: Finalized block head info
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlockHead'
      x-codeSamples:
        - lang: shell
          source: >
            curl --compressed
            'https://portal.sqd.dev/datasets/bitcoin-mainnet/finalized-head'
        - lang: python
          label: Finalized Dataset Head
          source: |
            import requests

            response = requests.get(
                "https://portal.sqd.dev/datasets/bitcoin-mainnet/finalized-head"
            )
            data = response.json()
        - lang: javascript
          label: Finalized Dataset Head
          source: >
            const response = await
            fetch("https://portal.sqd.dev/datasets/bitcoin-mainnet/finalized-head");

            const data = await response.json();
components:
  schemas:
    BlockHead:
      type: object
      properties:
        number:
          type: integer
          format: int64
          description: Block number of the highest available block
        hash:
          type: string
      nullable: true

````